Calculate the length of the hypotenuse of a right-angle triangle

- « hexdec

- intdiv »

- PHP Manual
- Math Functions
- Calculate the length of the hypotenuse of a right-angle triangle

# hypot

(PHP 4 >= 4.1.0, PHP 5, PHP 7, PHP 8)

hypot — Calculate the length of the hypotenuse of a right-angle triangle

### Description

hypot(float `$x`, float `$y`): float

hypot() returns the length of the hypotenuse of a right-angle triangle with sides of length `x` and `y`, or the distance of the point (`x`, `y`) from the origin. This is equivalent to `sqrt($x*$x + $y*$y)`.

### Parameters

`x`

  Length of first side

`y`

  Length of second side

### Return Values

Calculated length of the hypotenuse